#include "SDL/SDL.h"
#include "SDL/SDL_ttf.h"
#include "Globals.h"
#include "Constants.h"
#include "Memory.h"

SDL_Surface* screen = NULL;
SDL_Surface* background = NULL;
SDL_Surface* logo = NULL;
SDL_Surface* memPics[32];
SDL_Surface* one = NULL;
SDL_Surface* two = NULL;
SDL_Surface* firstPic = NULL;
SDL_Surface* secondPic = NULL;
SDL_Surface* x = NULL;
SDL_Surface* v = NULL;
SDL_Surface* arrows = NULL;
SDL_Surface* multiplayer = NULL;
SDL_Surface* p1Wins = NULL;
SDL_Surface* p2Wins = NULL;
SDL_Surface* tied = NULL;
SDL_Surface* kaartje = NULL;
SDL_Surface* cardBackgroundSurf = NULL;
SDL_Surface* cardBGRanden = NULL;
SDL_Surface* paused = NULL;
SDL_Surface* about = NULL;
SDL_Surface* helpPics[8];

SDL_Event event;

TTF_Font* font = NULL;
TTF_Font* font2 = NULL;
TTF_Font* font3 = NULL;

bool loop = true;
bool rectEnabled = false;
bool menuExit = false;
int timerStart = 0, timerEnd = 0, timerREnd = 0;
int gamemode = 0;
float awesomeColor = 0;
float degModc = 0;

cButton bPlay(BUTTON_XPOS, 200, BUTTON_WIDTH, BUTTON_HEIGHT, BUTTON_BORDER, 5263440, 11842740, "Play", true);
cButton bHelp(BUTTON_XPOS, 300, BUTTON_WIDTH, BUTTON_HEIGHT, BUTTON_BORDER, 5263440, 11842740, "Help", true);
cButton bAbout(BUTTON_XPOS, 400, BUTTON_WIDTH, BUTTON_HEIGHT, BUTTON_BORDER, 5263440, 11842740, "About", true);
cButton bExit(BUTTON_XPOS, 500, BUTTON_WIDTH, BUTTON_HEIGHT, BUTTON_BORDER, 5263440, 11842740, "Exit", true);

cButton bEasy(BUTTON_XPOS, 200, BUTTON_WIDTH, BUTTON_HEIGHT, BUTTON_BORDER, 5263440, 11842740, "Easy", true);
cButton bNormal(BUTTON_XPOS, 300, BUTTON_WIDTH, BUTTON_HEIGHT, BUTTON_BORDER, 5263440, 11842740, "Normal", true);
cButton bHard(BUTTON_XPOS, 400, BUTTON_WIDTH, BUTTON_HEIGHT, BUTTON_BORDER, 5263440, 11842740, "Hard", true);
cButton bBack_Play(BUTTON_XPOS, 500, BUTTON_WIDTH, BUTTON_HEIGHT, BUTTON_BORDER, 5263440, 11842740, "Back", true);

cButton bResume((SCR_WIDTH - BUTTON_WIDTH) * .5, 270, BUTTON_WIDTH, BUTTON_HEIGHT, BUTTON_BORDER, 5263440, 11842740, "Resume", true);
cButton bBack_Menu((SCR_WIDTH - BUTTON_WIDTH) * .5, 360, BUTTON_WIDTH, BUTTON_HEIGHT, BUTTON_BORDER, 5263440, 11842740, "Exit to Menu", true);
cButton bExit_Game((SCR_WIDTH - BUTTON_WIDTH) * .5, 450, BUTTON_WIDTH, BUTTON_HEIGHT, BUTTON_BORDER, 5263440, 11842740, "Exit Game", true);

bool toGame = false;
bool toMenu = true;
bool toHelp = false;
bool menuVisible = true;
bool memoryVisible = false;
bool helpVisible = false;

bool aboutVisible = false;
int aboutState = STATE_AWAY;

bool toWindows = false;

cFader fader(0);

cMemory memory(1);
