#ifndef MEMORY_H
#define MEMORY_H

struct Vector2D {
	int x;
	int y;
};

class cCard {
	public:
		int render(int mX, int mY, bool button);
		cCard();

		Uint32 normalColor, hoverColor, selectedColor;
		SDL_Rect rect;
		int status;
		int contains;
		int x, y;
		bool enabled;
};

class cMemory {
	public:	
		void startMemory(int mode);
		int renderMemory(int mX, int mY, Uint8 mouseState);
		cMemory(int what);
		int status;
		bool menuStatus;
		int cardCount;
		cCard field[8][8];
	private:
		int mode;
		int p1, p2;
		Vector2D firstSel, secondSel;
		int firstCard, secondCard;
		bool turn;
		bool leftButton, leftButtonOld;
		int ok;
};

#endif