#ifndef GLOBALS_H
#define GLOBALS_H

#include "Button.h"
#include "Fader.h"
#include "SDL.h"
#include "SDL_ttf.h"
#include "Memory.h"

extern SDL_Surface* screen;
extern SDL_Surface* background;
extern SDL_Surface* logo;
extern SDL_Surface* memPics[32];
extern SDL_Surface* one;
extern SDL_Surface* two;
extern SDL_Surface* firstPic;
extern SDL_Surface* secondPic;
extern SDL_Surface* x;
extern SDL_Surface* v;
extern SDL_Surface* arrows;
extern SDL_Surface* multiplayer;
extern SDL_Surface* p1Wins;
extern SDL_Surface* p2Wins;
extern SDL_Surface* tied;
extern SDL_Surface* kaartje;
extern SDL_Surface* cardBackgroundSurf;
extern SDL_Surface* cardBGRanden;
extern SDL_Surface* paused;
extern SDL_Surface* about;
extern SDL_Surface* helpPics[8];

extern SDL_Event event;

extern TTF_Font* font;
extern TTF_Font* font2;
extern TTF_Font* font3;

extern cButton bPlay;
extern cButton bHelp;
extern cButton bAbout;
extern cButton bExit;

extern cButton bEasy;
extern cButton bNormal;
extern cButton bHard;
extern cButton bBack_Play;

extern cButton bResume;
extern cButton bBack_Menu;
extern cButton bExit_Game;

extern bool loop;
extern bool rectEnabled;
extern bool menuExit;
extern int timerStart, timerEnd, timerREnd;
extern int gamemode;
extern float awesomeColor;
extern float degModc;

extern bool toGame;
extern bool toMenu;
extern bool toHelp;
extern bool menuVisible;
extern bool memoryVisible;
extern bool helpVisible;

extern bool aboutVisible;
extern int aboutState;

extern bool toWindows;

extern cFader fader;

extern cMemory memory;

#endif