#ifndef BUTTON_H
#define BUTTON_H

#include "SDL/SDL.h"
#include "SDL/SDL_ttf.h"
#include <string>

class cButton {
	public:
		SDL_Rect area;
		int border;
		int state, prevState;
		int menuState;
		int margin, marginStep;
		bool enabled;
		std::string captionStr;

		SDL_Surface* captionSurf;
		Uint32 bColor, mColor;

		int render(Uint8 mouseState, int mX, int mY, void(*p)());
		int renderText(SDL_Color textColor);
		bool visible();

		cButton(int x, int y, int w, int h, int border, Uint32 bColor, Uint32 mColor, std::string bCaption, bool en);
};

#endif
